slepc-3.10.1 2018-10-23
Report Typos and Errors

# PEPQArnoldiSetLocking

Choose between locking and non-locking variants of the Q-Arnoldi method.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPQArnoldiSetLocking(PEP pep,PetscBool lock)

Logically Collective on PEP

### Input Parameters

| pep | - the eigenproblem solver context
| lock | - true if the locking variant must be selected

### Options Database Key

| -pep_qarnoldi_locking | - Sets the locking flag

### Notes

The default is to keep all directions in the working subspace even if already converged to working accuracy (the non-locking variant). This behaviour can be changed so that converged eigenpairs are locked when the method restarts.

Note that the default behaviour is the opposite to Krylov solvers in EPS.

### See Also

PEPQArnoldiGetLocking()

Location: src/pep/impls/krylov/qarnoldi/qarnoldi.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages